Cyberduck Mountain Duck CLI

#8350 closed defect (worksforme)

Timeout opening data connection with PORT

Reported by: saku_localeyes Owned by: dkocher
Priority: normal Milestone: 4.7
Component: ftp-tls Version: 4.6
Severity: major Keywords: FTPS PORT
Cc: Architecture:
Platform: Mac OS X 10.9

Description

FTP-SSL Explicit AUTH TLS -mode hasn't been working since 4.5 in Active mode.

Works fine on 4.6 in Passive mode, but not in Active.

Everything worked fine on the exactly same server, account and file with 4.4.5.

Attaching screenshots for Download and Upload and a transcript for Download.

Attachments (3)

Download_ScreenShot.png (33.9 KB) - added by saku_localeyes on Nov 21, 2014 at 10:57:01 AM.
Screenshot - download
Upload_ScreenShot.png (32.6 KB) - added by saku_localeyes on Nov 21, 2014 at 10:57:19 AM.
Screenshot - upload
Download_session_transcript.txt (4.5 KB) - added by saku_localeyes on Nov 21, 2014 at 10:57:39 AM.
Session transcript - download

Download all attachments as: .zip

Change History (13)

Changed on Nov 21, 2014 at 10:57:01 AM by saku_localeyes

Screenshot - download

Changed on Nov 21, 2014 at 10:57:19 AM by saku_localeyes

Screenshot - upload

Changed on Nov 21, 2014 at 10:57:39 AM by saku_localeyes

Session transcript - download

comment:1 Changed on Nov 25, 2014 at 3:06:39 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Using PORT mode is expected to fail with the computer having a local IP address 192,168,253,93 assigned. What is the reason to want to use active mode?

comment:2 Changed on Nov 25, 2014 at 4:40:54 PM by saku_localeyes

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Because the server is also inside the NAT network. Using PORT mode inside and PASV outside is the only way to get everything to work for both internal and external users.

comment:3 Changed on Nov 25, 2014 at 4:55:08 PM by dkocher

  • Milestone set to 4.6.1
  • Summary changed from FTPS not working in PORT mode since 4.5 to Timeout opening data connection with PORT

comment:4 Changed on Nov 25, 2014 at 4:56:43 PM by dkocher

Everything looks fine from the transcript but the server does not give a reply. Have you checked that your computer firewall (System Preferences → Security & Privacy → Firewall) accepts incoming connections to accept the connect from the server?

comment:5 follow-up: Changed on Nov 25, 2014 at 5:16:10 PM by saku_localeyes

Alsolutely sure that the firewall is not active. Also, on the exactly same client computer running 4.4.5 PORT mode works fine. With 4.5+, times out every time.

comment:6 Changed on Jan 13, 2015 at 8:43:10 PM by dkocher

  • Milestone 4.6.2 deleted

comment:7 in reply to: ↑ 5 Changed on Jan 25, 2015 at 4:28:11 PM by dkocher

Replying to saku_localeyes:

Alsolutely sure that the firewall is not active. Also, on the exactly same client computer running 4.4.5 PORT mode works fine. With 4.5+, times out every time.

Can you please post the transcript from this version to compare.

comment:8 follow-up: Changed on Jan 26, 2015 at 12:54:30 PM by saku_localeyes

How do I get a transcript for a download that doesn't fail?

comment:9 in reply to: ↑ 8 Changed on Jan 26, 2015 at 1:49:06 PM by dkocher

Replying to saku_localeyes:

How do I get a transcript for a download that doesn't fail?

Please post the transcript from the log drawer (⌘-L) of the Transfers window.

comment:10 Changed on Feb 3, 2015 at 1:42:13 PM by dkocher

  • Milestone set to 4.7
  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software